Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.toflex

method

ma.masked_array.toflex()

  Transforms a masked array into a flexible-type array.

  The flexible type array that is returned will have two fields:

  - the `_data` field stores the `_data` part of the array.

  - the `_mask` field stores the `_mask` part of the array.

  Parameters:
    None
  Returns:
    record ndarray

      A new flexible-type `ndarray` with two fields: the first element containing a value, the second element containing the corresponding mask boolean. The returned record shape matches self.shape.

  Notes

  A side-effect of transforming a masked array into a flexible `ndarray` is that meta information (`fill_value`, …) will be lost.

  Examples

      >>> import numpy as np
      >>> x = np.ma.array([[1,2,3],[4,5,6],[7,8,9]], mask=[0] + [1,0]*4)
      >>> x
      masked_array(
        data=[[1, --, 3],
              [--, 5, --],
              [7, --, 9]],
        mask=[[False,  True, False],
              [ True, False,  True],
              [False,  True, False]],
        fill_value=999999)
      >>> x.toflex()
      array([[(1, False), (2,  True), (3, False)],
             [(4,  True), (5, False), (6,  True)],
             [(7, False), (8,  True), (9, False)]],
            dtype=[('_data', '<i8'), ('_mask', '?')])